%global srcname iso8601

Summary:        Simple module to parse ISO 8601 dates
Name:           python-%{srcname}
Version:        1.1.0
Release:        4%{?dist}

License:        MIT
URL:            https://github.com/micktwomey/pyiso8601
Source0:        %{pypi_source}

Patch3000:      0001-Add-docs-and-test-extras.patch

BuildArch:      noarch

%description
This module parses the most common forms of ISO 8601 date strings
(e.g. 2007-01-14T20:34:22+00:00) into datetime objects.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python3-pytest

%description -n python%{python3_pkgversion}-%{srcname}
Python bindings for %{name}.

%prep
%autosetup -n %{srcname}-%{version}
sed -e 's/\^/>=/' -i pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-3
- Rebuilt for loongarch release

* Wed May 29 2024 Shuo Wang <abushwang@tencent.com> - 1.1.0-2
- enable %check

* Fri Sep 22 2023 kianli <kianli@tencent.com> - 1.1.0-1
- Upgrade to 1.1.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.13-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.13-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.13-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.13-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 cunshunxia <cunshunxia@tencent.com> - 0.1.13-1
- initial build
